Subject: Re: [PATCH 2/2] prompt: respect GIT_TERMINAL_PROMPT to disable terminal prompts

From: Junio C Hamano <[email-masked]>
Date: Fri, 05 Dec 2014 09:37:22 -0800

Jeff King <[email-masked]> writes:

> On Thu, Dec 04, 2014 at 01:33:53PM -0800, Junio C Hamano wrote:
>
>> Of course, from _our_ point of view, that somebody is not us.  We do
>> not have direct control, certainly from this codepath.

Belated typofix - s/from /not &/.

>
> Right, but in theory we can provoke gpg to do what we want when we spawn
> it. However, having had zero luck in convincing it to stop asking me for
> a passphrase recently in another thread, I do not know what magic
> command line option is required. :(
>
> I think it would be OK to merge the git handling of GIT_TERMINAL_PROMPT
> (i.e., the patch I sent), and somebody who runs into the issue with gpg
> and can figure out how to tame it can scratch their own itch later. I
> hate leaving things half-implemented or inconsistent, but I also don't
> know how to make gpg do what we want. And doing a partial solution
> seems better to me than holding the credential.c half hostage.

Oh, no question about that.  You are making things better by
advancing one step at a time.

Queued and will be moving to 'next' shortly.